Page MenuHomePhabricator

Deploy initial version of the extra-analysis plugin
Closed, ResolvedPublic

Description

We've wrapped a Serbian stemmer into an Elasticsearch plugin (search/extra-analysis) and need to deploy the plugin so we can use the stemmer on Serbian-language wikis.

There are some additional prerequisites to the actual deployment.

Once the deployment is done, the next step—after the config that uses the plugin is also merged (in parent task T183015)—is to re-index, which will need a new ticket and to be listed in T147505.

Event Timeline

TJones removed TJones as the assignee of this task.Mar 8 2018, 7:36 PM
TJones triaged this task as Normal priority.
TJones created this task.

To deploy, we need a release of that plugin (same procedure as documented in the discovery-parent-pom, it will require a GPG key). Me or @dcausse can do the release for you.

It then requires adding the extra-analysis plugin to the .deb we use to deploy plugins. Again, @dcausse is the one who knows best how that works. (Note that we can manually deploy on relforge to do some additional testing before pushing to production).

TJones updated the task description. (Show Details)Mar 9 2018, 3:03 PM

@Gehel—thanks, I knew there was more to the actual deployment of the plugin. If you could do the release, that'd be great. I appreciate all the help from you and @dcausse.

Gehel added a comment.Mar 9 2018, 5:56 PM

I have performed the release, the artifacts are uploaded to maven central (it will take some time for them to actually be available...)

TJones added a comment.Mar 9 2018, 5:59 PM

Awesome—thanks!

I was able to download and install the plugin from maven central, and I've updated the plugin docs with installation instructions (and spot bugs instructions, also copied from search/extra). Patch here.

Change 419244 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/software/elasticsearch/plugins@master] Add extra-analysis

https://gerrit.wikimedia.org/r/419244

Change 419244 merged by Gehel:
[operations/software/elasticsearch/plugins@master] Add extra-analysis

https://gerrit.wikimedia.org/r/419244

Mentioned in SAL (#wikimedia-operations) [2018-03-29T10:50:18Z] <dcausse> restarting elastic@codfw for JVM and plugin upgrade (T189239)

Mentioned in SAL (#wikimedia-operations) [2018-03-30T11:40:09Z] <dcausse> elastic@codfw cluster restarts complete (T189239)

debt closed this task as Resolved.Apr 27 2018, 8:15 PM
debt claimed this task.
debt closed subtask T189265: Re-index Serbian Wikis as Resolved.